////////////////////////////////////////////////
//
// Timing for cat93cxx (depending on Vcc values)
//
////////////////////////////////////////////////

`ifdef v1_8__6_0
	//
	// 	clock timing
	//
	parameter fMAX  	= 250;		// Max. frequency (Kz)
	parameter tSKHI  	= 1000;		// Min. SK High Time
	parameter tSKLOW  = 1000;		// Min. SK Low Time

	//
	// 	chip select timing
	//
	parameter tCSS 	= 200;		// min. CS Setup Time
	parameter tCSH 	=   0;		// min. CS HOLD Time
	parameter tCSMIN 	= 1000;		// min. CS Low Time
	//
	// 	Data In timing
	//
	parameter tDIS 	= 400;		// min.Data In Setup Time
	parameter tDIH	= 400;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tPD0 	= 1000;		// max. Output Delay to 0
	parameter tPD1 	= 1000;		// max. Output Delay to 1
	parameter tHZ 	= 400;		// max. Output Delay to High-Z
	parameter tSV 	= 1000;		// max. Output Delay to Status Valid
	//
	parameter tEW 	= 10000000;		// Program/Erase Pulse Width	
	//
`endif

`ifdef v2_5__6_0
	//
	// 	clock timing
	//
	parameter fMAX  	= 500;		// Max. frequency (Kz)
	parameter tSKHI  	= 500;		// Min. SK High Time
	parameter tSKLOW  = 500;		// Min. SK Low Time

	//
	// 	chip select timing
	//
	parameter tCSS 	=  100;		// min. CS Setup Time
	parameter tCSH 	=   0;		// min. CS HOLD Time
	parameter tCSMIN 	= 500;		// min. CS Low Time
	//
	// 	Data In timing
	//
	parameter tDIS 	=  200;		// min.Data In Setup Time
	parameter tDIH	=  200;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tPD0 	= 500;		// max. Output Delay to 0
	parameter tPD1 	= 500;		// max. Output Delay to 1
	parameter tHZ 	= 200;		// max. Output Delay to High-Z
	parameter tSV 	= 500;		// max. Output Delay to Status Valid
	//
	parameter tEW 	= 10000000;		// Program/Erase Pulse Width	
`endif

`ifdef v4_5__5_5
	//
	// 	clock timing
	//
	parameter fMAX  	= 1000;		// Max. frequency (Kz)
	parameter tSKHI  	= 250;		// Min. SK High Time
	parameter tSKLOW  = 250;		// Min. SK Low Time

	//
	// 	chip select timing
	//
	parameter tCSS 	=  50;		// min. CS Setup Time
	parameter tCSH 	=   0;		// min. CS HOLD Time
	parameter tCSMIN 	= 250;		// min. CS Low Time
	//
	// 	Data In timing
	//
	parameter tDIS 	=  100;		// min.Data In Setup Time
	parameter tDIH	=  100;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tPD0 	= 250;		// max. Output Delay to 0
	parameter tPD1 	= 250;		// max. Output Delay to 1
	parameter tHZ 	= 100;		// max. Output Delay to High-Z
	parameter tSV 	= 250;		// max. Output Delay to Status Valid
	//
	parameter tEW 	= 10000000;		// Program/Erase Pulse Width	
`endif

